Redeem vault fees with an EVM Smart Account
Redeems every vault share held by the vault’s fee recipient EVM Smart Account for the vault’s underlying asset (e.g. USDC). The Smart Account must be the vault’s fee recipient, and its owner must be a CDP EVM account.
CDP periodically distributes each vault’s accrued fees to its fee recipient as vault shares. This API redeems the Smart Account’s full share balance, including any shares from the Smart Account’s own deposits into the vault, so use a dedicated fee recipient Smart Account.
The share approval and redemption are batched into a single user operation.
For fee recipients that are EVM accounts, use redeemVaultFeesWithEvmAccount instead.
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.
Headers
A JWT signed using your Wallet Secret, encoded in base64. Refer to the Generate Wallet Token section of our Authentication docs for more details on how to generate your Wallet Token.
An optional string request header for making requests safely retryable. When included, duplicate requests with the same key will return identical responses. Refer to our Idempotency docs for more information on using idempotency keys.
1 - 128Path Parameters
Body
A request to redeem the fee shares held by the vault's fee recipient EVM Smart Account for the vault's underlying asset (e.g. USDC). The share approval and redemption are batched into a single user operation.
Optional custom Paymaster URL to use for gas sponsorship. This allows you to use your own Paymaster service instead of CDP's Paymaster. Cannot be used together with useCdpPaymaster.
11 - 2048^https?://.*$"https://api.developer.coinbase.com/rpc/v1/base/AbCdEf123456"
The ERC-7677 context object forwarded to the paymaster service as part of the paymasterService capability. The fields in this object are defined by the paymaster service provider; CDP forwards them to the paymaster unchanged. This field is only valid when a paymaster is configured for the request. Providing paymasterContext without a paymaster configured results in an invalid_request error.
Response
Successfully broadcast the fee redemption user operation.
The result of a vault fee redemption from an EVM Smart Account after broadcast.